> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/brand/available-currencies/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Available currencies GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/currencies Returns configuration for all available currencies for a brand Reference: https://developer.nibtravelinsurance.com/reference/products-api/brand/available-currencies ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` ## Response ### 200 Success - `expirySeconds` (integer, optional) - `currencies` (list of CurrencySummary, optional) ## Types ### CurrencySummary - `currencyId` (integer, optional) - `code` (string, optional) - `symbol` (string, optional) - `name` (string, optional) - `hasMinorUnits` (boolean, optional, default: false) ## Examples **Response** ```json { "expirySeconds": 86400, "currencies": [ { "currencyId": 1, "code": "AUD", "symbol": "", "name": "Australian Dollar", "hasMinorUnits": true }, { "currencyId": 2, "code": "NZD", "symbol": "", "name": "New Zealand Dollar", "hasMinorUnits": true }, { "currencyId": 4, "code": "CAD", "symbol": "", "name": "Canada Dollar", "hasMinorUnits": true }, { "currencyId": 6, "code": "EUR", "symbol": "€", "name": "Euro", "hasMinorUnits": true }, { "currencyId": 7, "code": "GBP", "symbol": "£", "name": "United Kingdom Pound", "hasMinorUnits": true }, { "currencyId": 8, "code": "USD", "symbol": "", "name": "United States Dollar", "hasMinorUnits": true } ] } ``` **SDK Code** ```python World Nomads import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript World Nomads const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go World Nomads package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby World Nomads require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java World Nomads import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies") .header("Authorization", "Bearer ") .asString(); ``` ```php World Nomads request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp World Nomads using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift World Nomads import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```